[PATCH] ArgumentError in redmine:migrate_from_trac

2009-04-28 12:48 - Yuki Sonoda

Status: Closed Start date: 2009-04-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

redmine:migrate_from_trac task fails with an ArgumentError on Redmine 0.8.3. The attached patch fixes this problem.

% RAILS_ENV=production script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.2.0

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /var/redmine

Environment               production

Database adapter          postgresql

Database schema version   101

 
% RAILS_ENV=production rake redmine:migrate_from_trac --trace

(in /var/redmine)

** Invoke redmine:migrate_from_trac (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:migrate_from_trac

WARNING: a new project will be added to Redmine during this process.

Are you sure you want to continue ? [y/N] y

Trac directory []: /home/yugui/path/to/trac/project

Trac database adapter (sqlite, sqlite3, mysql, postgresql) [sqlite]: sqlite3

Trac database encoding [UTF-8]:

Target project identifier []: myproject-name

Migrating components.....

Migrating milestones................

Migrating custom fields...

Migrating tickets........................................rake aborted!

wrong number of arguments (1 for 0)

/var/redmine/app/models/attachment.rb:76:in `read'

/var/redmine/app/models/attachment.rb:76:in `before_save'

/var/redmine/app/models/attachment.rb:74:in `open'

/var/redmine/app/models/attachment.rb:74:in `before_save'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:301:in `send'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:301:in `callback'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:206:in `create_or_update'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2211:in `save_without_validati

on'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/validations.rb:911:in `save_without_di

rty'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/dirty.rb:75:in `save_without_transacti

ons'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'
/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/database_

statements.rb:66:in `transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:79:in `transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:98:in `transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:118:in `rollback_activ

e_record_state!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'

/var/redmine/lib/tasks/migrate_from_trac.rake:514:in `migrate'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_collection.rb

:277:in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:

in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:

in `each'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:

in `send'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:

in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_collection.rb

:277:in `method_missing'

/var/redmine/lib/tasks/migrate_from_trac.rake:507:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:454:in `each'

/var/redmine/lib/tasks/migrate_from_trac.rake:454:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:747

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:617:in `call'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:617:in `execute'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:612:in `each'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:612:in `execute'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:578:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:571:in `invoke_with_call_chain'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:564:in `invoke'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2027:in `invoke_task'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `top_level'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `each'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `top_level'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1999:in `top_level'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1977:in `run'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'

/var/lib/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1974:in `run'

/var/lib/gems/1.8/gems/rake-0.8.4/bin/rake:31

/var/lib/gems/1.8/bin/rake:19:in `load'

/var/lib/gems/1.8/bin/rake:19

Related issues:

Related to Redmine - Defect #3291: "undefined method `read' for nil:NilClass"... Closed 2009-05-04

Associated revisions

Revision 2705 - 2009-05-04 18:48 - Jean-Philippe Lang

Fixed Trac importer broken by r2670 (#3254).

History

#1 - 2009-05-04 18:42 - Jean-Philippe Lang

- Category set to Importers

- Status changed from New to Closed

- Affected version (unused) changed from 0.8.3 to devel

- Resolution set to Fixed

- Affected version deleted (0.8.3)

Patch committed in r2705 and merged in 0.8-stable in r2706.

Thanks.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2705
https://www.redmine.org/projects/redmine/repository/svn/revisions/2706
